summaryrefslogtreecommitdiffstats
path: root/libraries/stfl
diff options
context:
space:
mode:
author slakmagik <jsun@freeshell.org>2010-05-11 20:01:03 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 20:01:03 +0200
commit812a680964f22d283a1431bc736498b52be80c04 (patch)
tree9011aeca962b6af8b5a973bde28ed49aa72c7ff2 /libraries/stfl
parente030832d8acf5d6febd2bc89b18c5fcbb9767b34 (diff)
downloadslackbuilds-812a680964f22d283a1431bc736498b52be80c04.tar.gz
slackbuilds-812a680964f22d283a1431bc736498b52be80c04.tar.xz
libraries/stfl: Added to 12.0 repository
Diffstat (limited to 'libraries/stfl')
-rw-r--r--libraries/stfl/README11
-rw-r--r--libraries/stfl/slack-desc19
-rw-r--r--libraries/stfl/stfl.SlackBuild57
-rw-r--r--libraries/stfl/stfl.info8
4 files changed, 95 insertions, 0 deletions
diff --git a/libraries/stfl/README b/libraries/stfl/README
new file mode 100644
index 0000000000..946f63ed33
--- /dev/null
+++ b/libraries/stfl/README
@@ -0,0 +1,11 @@
+The Structured Terminal Forms Language/Library
+
+STFL is a library which implements a curses-based widget set for text
+terminals. The STFL API can be used from C, SPL, Python, Perl and
+Ruby. The public STFL API is only 14 simple function calls big and and
+there are already generic SWIG bindings. Thus it is very easy to port
+to additional scripting languages.
+
+This package should build with no special effort on a stock Slackware
+installation. However, none of the scripting language bindings are enabled -
+for that, you'll need SWIG and the language of interest.
diff --git a/libraries/stfl/slack-desc b/libraries/stfl/slack-desc
new file mode 100644
index 0000000000..9e299864d7
--- /dev/null
+++ b/libraries/stfl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+stfl: STFL (the Structured Terminal Forms Language/Library)
+stfl:
+stfl: STFL is a library which implements a curses-based widget set for text
+stfl: terminals. The STFL API can be used from C, SPL, Python, Perl and
+stfl: Ruby. The public STFL API is only 14 simple function calls big and and
+stfl: there are already generic SWIG bindings. Thus it is very easy to port
+stfl: to additional scripting languages.
+stfl:
+stfl: Homepage: http://www.clifford.at/stfl/
+stfl:
+stfl:
diff --git a/libraries/stfl/stfl.SlackBuild b/libraries/stfl/stfl.SlackBuild
new file mode 100644
index 0000000000..cb6d74a6d5
--- /dev/null
+++ b/libraries/stfl/stfl.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for stfl
+# Written by slakmagik <jsun@freeshell.org>
+# Released under the WTFPL
+
+PRGNAM=stfl
+VERSION=0.18
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 \
+ -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS" prefix=/usr mandir=/usr/man make
+make prefix=/usr mandir=/usr/man DESTDIR=$PKG install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : |
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/stfl/stfl.info b/libraries/stfl/stfl.info
new file mode 100644
index 0000000000..9bf60d5bdc
--- /dev/null
+++ b/libraries/stfl/stfl.info
@@ -0,0 +1,8 @@
+PRGNAM="stfl"
+VERSION="0.18"
+HOMEPAGE="http://www.clifford.at/stfl/"
+DOWNLOAD="http://www.clifford.at/stfl/stfl-0.18.tar.gz"
+MD5SUM="06e55d60b45332afdd15d1482470f2ac"
+MAINTAINER="slakmagik"
+EMAIL="jsun@freeshell.org"
+APPROVED="David Somero,rworkman"